package istio.authz
import input.attributes.request.http as http_request

default allow = false

allow {
  input == ["placeholder_1"]
  output == ["production"]
}

allow {
  input == ["production"]
  output == ["locationInfo"]
}

allow {
  input == ["production"]
  output == ["castInfo"]
}

allow {
  input == ["crewInfo", "production"]
  output == ["crewMember", "crewInfo"]
}

allow {
  input == ["locationInfo"]
  output == ["Input_Location_Notes_3256_completed"]
}

allow {
  input == ["castInfo"]
  output == ["Input_Cast_List_5189_completed"]
}

allow {
  input == ["crewMember", "crewInfo"]
  output == ["Input_Crew_List_3257_completed"]
}

allow {
  "Input_Location_Notes_3256_completed"
  "Input_Cast_List_5189_completed"
  "Input_Crew_List_3257_completed"
  input == ["shootingSchedule", "production"]
  output == ["shootingSchedule", "totalPageTime", "originalTiming", "totalScenes"]
}

allow {
  input == ["shootingSchedule", "totalPageTime", "originalTiming", "totalScenes"]
  output == ["Input_Shooting_Schedule_3255_completed"]
}

allow {
  input == ["shootingSchedule", "totalPageTime", "originalTiming", "totalScenes"]
  output == ["Input_Shooting_Schedule_3255_not_completed"]
}

allow {
  input == ["generalInfoToday", "stockInfoToday", "soundRollsToday", "sunset", "shootDayNoNextday", "continuityInfo", "callSheetNotes", "weather", "timeSheetInfo", "shootDayNoToday", "callSheetToday", "camRollsToday", "sunrise"]
  output == ["Start_Another_Shoot_Day_3268_completed"]
}

allow {
  input == ["generalInfoToday", "stockInfoToday", "soundRollsToday", "sunset", "shootDayNoNextday", "continuityInfo", "callSheetNotes", "weather", "timeSheetInfo", "shootDayNoToday", "callSheetToday", "camRollsToday", "sunrise"]
  output == ["Start_Another_Shoot_Day_3268_not_completed"]
}

allow {
  "Input_Shooting_Schedule_3255_completed"
  "Start_Another_Shoot_Day_3268_not_completed"
  "boolean(number(/Film_Production_Process/shootDayNoToday/text())=number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))"
  input == ["placeholder_2"]
  output == ["placeholder_3"]
}

allow {
  "Input_Shooting_Schedule_3255_not_completed"
  "boolean(number(/Film_Production_Process/shootDayNoToday/text())=number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))"
  "Start_Another_Shoot_Day_3268_completed"
  input == ["placeholder_2"]
  output == ["placeholder_3"]
}

allow {
  input == ["placeholder_3"]
  output == ["null_3253_completed"]
}

allow {
  input == ["placeholder_3"]
  output == ["null_3253_not_completed"]
}

allow {
  input == ["placeholder_9"]
  output == ["Distribute_Call_Sheet_64_completed"]
}

allow {
  input == ["placeholder_9"]
  output == ["Distribute_Call_Sheet_64_not_completed"]
}

allow {
  "Distribute_Call_Sheet_64_not_completed"
  "null_3253_completed"
  input == ["placeholder_4"]
  output == ["placeholder_5"]
}

allow {
  "null_3253_not_completed"
  "Distribute_Call_Sheet_64_completed"
  input == ["placeholder_4"]
  output == ["placeholder_5"]
}

allow {
  input == ["shootingSchedule", "totalPageTime", "originalTiming", "totalScenes"]
  output == ["Revise_Shooting_Schedule_3282_completed"]
}

allow {
  input == ["shootingSchedule", "totalPageTime", "originalTiming", "totalScenes"]
  output == ["Revise_Shooting_Schedule_3282_not_completed"]
}

allow {
  "Revise_Shooting_Schedule_3282_not_completed"
  "null_3253_completed"
  input == ["callSheet"]
  output == ["callSheetNextday"]
}

allow {
  "null_3253_not_completed"
  "Revise_Shooting_Schedule_3282_completed"
  input == ["callSheet"]
  output == ["callSheetNextday"]
}

allow {
  input == ["placeholder_13"]
  output == ["null_7903_completed"]
}

allow {
  "null_7903_completed"
  input == ["shootingSchedule", "production"]
  output == ["shootingSchedule", "totalPageTime", "originalTiming", "totalScenes"]
}

allow {
  input == ["placeholder_5"]
  output == ["null_3279_completed"]
}

allow {
  "boolean(number(/Film_Production_Process/shootDayNoToday/text())<number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))"
  "null_3279_completed"
  input == ["placeholder_6"]
  output == ["placeholder_7"]
}

allow {
  input == ["placeholder_11"]
  output == ["Distribute_DPR_11_completed"]
}

allow {
  "boolean(number(/Film_Production_Process/shootDayNoToday/text())<number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))"
  "Distribute_DPR_11_completed"
  input == ["placeholder_6"]
  output == ["placeholder_7"]
}

allow {
  "boolean(/Film_Production_Process/finalCallSheetSubmission/text()='false')"
  "null_7903_completed"
  input == ["generalInfo", "callSheet", "scheduledShootingDays"]
  output == ["productionOffice", "generalInfoNextday", "sunset", "callSheetNotes", "weather", "finalCallSheetSubmission", "callSheetNextday", "sunrise"]
}

allow {
  input == ["placeholder_7"]
  output == ["null_3280_completed"]
}

allow {
  "null_3280_completed"
  input == ["shootDayNo", "generalInfo", "callSheet"]
  output == ["generalInfoToday", "stockInfoToday", "soundRollsToday", "sunset", "shootDayNoNextday", "continuityInfo", "callSheetNotes", "weather", "timeSheetInfo", "shootDayNoToday", "callSheetToday", "camRollsToday", "sunrise"]
}

allow {
  input == ["productionOffice", "generalInfoNextday", "sunset", "callSheetNotes", "weather", "finalCallSheetSubmission", "callSheetNextday", "sunrise"]
  output == ["Update_Call_Sheet_4740_completed"]
}

allow {
  "Update_Call_Sheet_4740_completed"
  input == ["placeholder_8"]
  output == ["placeholder_9"]
}

allow {
  input == ["placeholder_21"]
  output == ["null_3271_completed"]
}

allow {
  input == ["placeholder_21"]
  output == ["null_3271_not_completed"]
}

allow {
  "null_3271_not_completed"
  "boolean(/Film_Production_Process/finalContinuitySubmission/text()='false')"
  "Start_Another_Shoot_Day_3268_completed"
  input == ["continuity", "director", "generalInfo", "continuityInfo", "producer", "directorOfPhotography", "editor"]
  output == ["continuityInfo", "finalContinuitySubmission"]
}

allow {
  "Start_Another_Shoot_Day_3268_not_completed"
  "null_3271_completed"
  "boolean(/Film_Production_Process/finalContinuitySubmission/text()='false')"
  input == ["continuity", "director", "generalInfo", "continuityInfo", "producer", "directorOfPhotography", "editor"]
  output == ["continuityInfo", "finalContinuitySubmission"]
}

allow {
  input == ["placeholder_19"]
  output == ["null_3276_completed"]
}

allow {
  input == ["placeholder_19"]
  output == ["null_3276_not_completed"]
}

allow {
  "null_3276_not_completed"
  "Start_Another_Shoot_Day_3268_completed"
  "boolean(/Film_Production_Process/finalADSubmission/text()='false')"
  input == ["director", "assistantDirector", "generalInfo", "producer", "timeSheetInfo"]
  output == ["finalADSubmission", "timeSheetInfo"]
}

allow {
  "Start_Another_Shoot_Day_3268_not_completed"
  "null_3276_completed"
  "boolean(/Film_Production_Process/finalADSubmission/text()='false')"
  input == ["director", "assistantDirector", "generalInfo", "producer", "timeSheetInfo"]
  output == ["finalADSubmission", "timeSheetInfo"]
}

allow {
  input == ["placeholder_17"]
  output == ["null_3273_completed"]
}

allow {
  input == ["placeholder_17"]
  output == ["null_3273_not_completed"]
}

allow {
  "null_3273_not_completed"
  "Start_Another_Shoot_Day_3268_completed"
  "boolean(/Film_Production_Process/anotherSoundRoll/text()='true')"
  input == ["anotherRoll", "soundRolls", "director", "soundInfo", "generalInfo", "producer", "soundRecordist", "editor"]
  output == ["soundRollsToday", "anotherSoundRoll", "soundInfo"]
}

allow {
  "Start_Another_Shoot_Day_3268_not_completed"
  "null_3273_completed"
  "boolean(/Film_Production_Process/anotherSoundRoll/text()='true')"
  input == ["anotherRoll", "soundRolls", "director", "soundInfo", "generalInfo", "producer", "soundRecordist", "editor"]
  output == ["soundRollsToday", "anotherSoundRoll", "soundInfo"]
}

allow {
  input == ["placeholder_15"]
  output == ["null_3275_completed"]
}

allow {
  input == ["placeholder_15"]
  output == ["null_3275_not_completed"]
}

allow {
  "null_3275_not_completed"
  "boolean(/Film_Production_Process/anotherCamRoll/text()='true')"
  "Start_Another_Shoot_Day_3268_completed"
  input == ["anotherRoll", "cameraInfo", "director", "generalInfo", "cameraOperator", "cameraAssistant", "camRolls", "producer", "directorOfPhotography", "stockInfo"]
  output == ["anotherCamRoll", "cameraInfo", "stockInfoToday", "shortEndMin", "camRollsToday", "cameraSheetNo"]
}

allow {
  "Start_Another_Shoot_Day_3268_not_completed"
  "null_3275_completed"
  "boolean(/Film_Production_Process/anotherCamRoll/text()='true')"
  input == ["anotherRoll", "cameraInfo", "director", "generalInfo", "cameraOperator", "cameraAssistant", "camRolls", "producer", "directorOfPhotography", "stockInfo"]
  output == ["anotherCamRoll", "cameraInfo", "stockInfoToday", "shortEndMin", "camRollsToday", "cameraSheetNo"]
}

allow {
  input == ["finalADSubmission", "timeSheetInfo"]
  output == ["Fill_Out_AD_Report_41_completed"]
}

allow {
  input == ["soundRollsToday", "anotherSoundRoll", "soundInfo"]
  output == ["Fill_Out_Sound_Sheets_39_completed"]
}

allow {
  input == ["anotherCamRoll", "cameraInfo", "stockInfoToday", "shortEndMin", "camRollsToday", "cameraSheetNo"]
  output == ["Fill_Out_Camera_Sheets_40_completed"]
}

allow {
  input == ["revisedTiming", "continuityDailyReport"]
  output == ["Fill_Out_Continuity_Daily_Report_3283_completed"]
}

allow {
  "Fill_Out_Continuity_Daily_Report_3283_completed"
  "Fill_Out_Sound_Sheets_39_completed"
  "Fill_Out_AD_Report_41_completed"
  "Fill_Out_Camera_Sheets_40_completed"
  input == ["director", "generalInfo", "DPRinfo", "producer", "directorOfPhotography", "productionManager"]
  output == ["scheduledRatio", "soundRollsPrevious", "stockInfoPrevious", "prevShot", "camRollsToday"]
}

allow {
  input == ["continuityInfo", "finalContinuitySubmission"]
  output == ["Fill_Out_Continuity_Report_36_completed"]
}

allow {
  "Fill_Out_Continuity_Report_36_completed"
  input == ["generalInfo", "continuityDailyReport"]
  output == ["revisedTiming", "continuityDailyReport"]
}

allow {
  input == ["scheduledRatio", "soundRollsPrevious", "stockInfoPrevious", "prevShot", "camRollsToday"]
  output == ["Create_DPR_10_completed"]
}

allow {
  "Create_DPR_10_completed"
  input == ["placeholder_10"]
  output == ["placeholder_11"]
}

allow {
  input == ["callSheetNextday"]
  output == ["Create_Call_Sheet_7902_completed"]
}

allow {
  input == ["callSheetNextday"]
  output == ["Create_Call_Sheet_7902_not_completed"]
}

allow {
  input == ["productionOffice", "generalInfoNextday", "sunset", "callSheetNotes", "weather", "finalCallSheetSubmission", "callSheetNextday", "sunrise"]
  output == ["Update_Call_Sheet_4740_not_completed"]
}

allow {
  "Update_Call_Sheet_4740_not_completed"
  "Create_Call_Sheet_7902_completed"
  input == ["placeholder_12"]
  output == ["placeholder_13"]
}

allow {
  "Update_Call_Sheet_4740_completed"
  "Create_Call_Sheet_7902_not_completed"
  input == ["placeholder_12"]
  output == ["placeholder_13"]
}

allow {
  "Fill_Out_Camera_Sheets_40_completed"
  input == ["placeholder_14"]
  output == ["placeholder_15"]
}

allow {
  "Fill_Out_Sound_Sheets_39_completed"
  input == ["placeholder_16"]
  output == ["placeholder_17"]
}

allow {
  "Fill_Out_AD_Report_41_completed"
  input == ["placeholder_18"]
  output == ["placeholder_19"]
}

allow {
  "Fill_Out_Continuity_Report_36_completed"
  input == ["placeholder_20"]
  output == ["placeholder_21"]
}
