import os,sys,inspect
currentdir = os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
parentdir = os.path.dirname(currentdir)
sys.path.insert(0,parentdir)
from PolicyMetagraph import PolicyMetagraph

from mgtoolkit.library import *


def generate_metagraph():
	policy_mg = PolicyMetagraph()
	inputs = ['placeholder_1']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['production']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['production']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['locationInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['production']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['castInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['crewInfo', 'production']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['crewMember', 'crewInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['locationInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Input_Location_Notes_3256_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['castInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Input_Cast_List_5189_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['crewMember', 'crewInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Input_Crew_List_3257_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Input_Location_Notes_3256_completed")
	policy_mg.current_propositions.add("Input_Location_Notes_3256_completed")
	policy_mg.propositions.add("Input_Cast_List_5189_completed")
	policy_mg.current_propositions.add("Input_Cast_List_5189_completed")
	policy_mg.propositions.add("Input_Crew_List_3257_completed")
	policy_mg.current_propositions.add("Input_Crew_List_3257_completed")
	inputs = ['shootingSchedule', 'production']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['shootingSchedule', 'totalPageTime', 'originalTiming', 'totalScenes']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['shootingSchedule', 'totalPageTime', 'originalTiming', 'totalScenes']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Input_Shooting_Schedule_3255_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['shootingSchedule', 'totalPageTime', 'originalTiming', 'totalScenes']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Input_Shooting_Schedule_3255_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['generalInfoToday', 'stockInfoToday', 'soundRollsToday', 'sunset', 'shootDayNoNextday', 'continuityInfo', 'callSheetNotes', 'weather', 'timeSheetInfo', 'shootDayNoToday', 'callSheetToday', 'camRollsToday', 'sunrise']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Start_Another_Shoot_Day_3268_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['generalInfoToday', 'stockInfoToday', 'soundRollsToday', 'sunset', 'shootDayNoNextday', 'continuityInfo', 'callSheetNotes', 'weather', 'timeSheetInfo', 'shootDayNoToday', 'callSheetToday', 'camRollsToday', 'sunrise']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Start_Another_Shoot_Day_3268_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Input_Shooting_Schedule_3255_completed")
	policy_mg.current_propositions.add("Input_Shooting_Schedule_3255_completed")
	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())=number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.current_propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())=number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	inputs = ['placeholder_2']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_3']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Input_Shooting_Schedule_3255_not_completed")
	policy_mg.current_propositions.add("Input_Shooting_Schedule_3255_not_completed")
	policy_mg.propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())=number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.current_propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())=number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_completed")
	inputs = ['placeholder_2']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_3']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_3']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3253_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_3']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3253_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_9']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Distribute_Call_Sheet_64_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_9']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Distribute_Call_Sheet_64_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Distribute_Call_Sheet_64_not_completed")
	policy_mg.current_propositions.add("Distribute_Call_Sheet_64_not_completed")
	policy_mg.propositions.add("null_3253_completed")
	policy_mg.current_propositions.add("null_3253_completed")
	inputs = ['placeholder_4']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_5']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3253_not_completed")
	policy_mg.current_propositions.add("null_3253_not_completed")
	policy_mg.propositions.add("Distribute_Call_Sheet_64_completed")
	policy_mg.current_propositions.add("Distribute_Call_Sheet_64_completed")
	inputs = ['placeholder_4']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_5']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['shootingSchedule', 'totalPageTime', 'originalTiming', 'totalScenes']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Revise_Shooting_Schedule_3282_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['shootingSchedule', 'totalPageTime', 'originalTiming', 'totalScenes']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Revise_Shooting_Schedule_3282_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Revise_Shooting_Schedule_3282_not_completed")
	policy_mg.current_propositions.add("Revise_Shooting_Schedule_3282_not_completed")
	policy_mg.propositions.add("null_3253_completed")
	policy_mg.current_propositions.add("null_3253_completed")
	inputs = ['callSheet']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['callSheetNextday']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3253_not_completed")
	policy_mg.current_propositions.add("null_3253_not_completed")
	policy_mg.propositions.add("Revise_Shooting_Schedule_3282_completed")
	policy_mg.current_propositions.add("Revise_Shooting_Schedule_3282_completed")
	inputs = ['callSheet']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['callSheetNextday']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_13']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_7903_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_7903_completed")
	policy_mg.current_propositions.add("null_7903_completed")
	inputs = ['shootingSchedule', 'production']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['shootingSchedule', 'totalPageTime', 'originalTiming', 'totalScenes']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_5']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3279_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())<number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.current_propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())<number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.propositions.add("null_3279_completed")
	policy_mg.current_propositions.add("null_3279_completed")
	inputs = ['placeholder_6']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_7']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_11']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Distribute_DPR_11_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())<number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.current_propositions.add("boolean(number(/Film_Production_Process/shootDayNoToday/text())<number(/Film_Production_Process/shootingSchedule/scheduledShootingDays/text()))")
	policy_mg.propositions.add("Distribute_DPR_11_completed")
	policy_mg.current_propositions.add("Distribute_DPR_11_completed")
	inputs = ['placeholder_6']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_7']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("boolean(/Film_Production_Process/finalCallSheetSubmission/text()='false')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/finalCallSheetSubmission/text()='false')")
	policy_mg.propositions.add("null_7903_completed")
	policy_mg.current_propositions.add("null_7903_completed")
	inputs = ['generalInfo', 'callSheet', 'scheduledShootingDays']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['productionOffice', 'generalInfoNextday', 'sunset', 'callSheetNotes', 'weather', 'finalCallSheetSubmission', 'callSheetNextday', 'sunrise']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_7']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3280_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3280_completed")
	policy_mg.current_propositions.add("null_3280_completed")
	inputs = ['shootDayNo', 'generalInfo', 'callSheet']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['generalInfoToday', 'stockInfoToday', 'soundRollsToday', 'sunset', 'shootDayNoNextday', 'continuityInfo', 'callSheetNotes', 'weather', 'timeSheetInfo', 'shootDayNoToday', 'callSheetToday', 'camRollsToday', 'sunrise']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['productionOffice', 'generalInfoNextday', 'sunset', 'callSheetNotes', 'weather', 'finalCallSheetSubmission', 'callSheetNextday', 'sunrise']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Update_Call_Sheet_4740_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Update_Call_Sheet_4740_completed")
	policy_mg.current_propositions.add("Update_Call_Sheet_4740_completed")
	inputs = ['placeholder_8']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_9']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_21']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3271_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_21']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3271_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3271_not_completed")
	policy_mg.current_propositions.add("null_3271_not_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/finalContinuitySubmission/text()='false')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/finalContinuitySubmission/text()='false')")
	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_completed")
	inputs = ['continuity', 'director', 'generalInfo', 'continuityInfo', 'producer', 'directorOfPhotography', 'editor']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['continuityInfo', 'finalContinuitySubmission']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.propositions.add("null_3271_completed")
	policy_mg.current_propositions.add("null_3271_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/finalContinuitySubmission/text()='false')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/finalContinuitySubmission/text()='false')")
	inputs = ['continuity', 'director', 'generalInfo', 'continuityInfo', 'producer', 'directorOfPhotography', 'editor']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['continuityInfo', 'finalContinuitySubmission']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_19']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3276_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_19']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3276_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3276_not_completed")
	policy_mg.current_propositions.add("null_3276_not_completed")
	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/finalADSubmission/text()='false')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/finalADSubmission/text()='false')")
	inputs = ['director', 'assistantDirector', 'generalInfo', 'producer', 'timeSheetInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['finalADSubmission', 'timeSheetInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.propositions.add("null_3276_completed")
	policy_mg.current_propositions.add("null_3276_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/finalADSubmission/text()='false')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/finalADSubmission/text()='false')")
	inputs = ['director', 'assistantDirector', 'generalInfo', 'producer', 'timeSheetInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['finalADSubmission', 'timeSheetInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_17']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3273_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_17']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3273_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3273_not_completed")
	policy_mg.current_propositions.add("null_3273_not_completed")
	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/anotherSoundRoll/text()='true')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/anotherSoundRoll/text()='true')")
	inputs = ['anotherRoll', 'soundRolls', 'director', 'soundInfo', 'generalInfo', 'producer', 'soundRecordist', 'editor']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['soundRollsToday', 'anotherSoundRoll', 'soundInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.propositions.add("null_3273_completed")
	policy_mg.current_propositions.add("null_3273_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/anotherSoundRoll/text()='true')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/anotherSoundRoll/text()='true')")
	inputs = ['anotherRoll', 'soundRolls', 'director', 'soundInfo', 'generalInfo', 'producer', 'soundRecordist', 'editor']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['soundRollsToday', 'anotherSoundRoll', 'soundInfo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_15']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3275_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['placeholder_15']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['null_3275_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("null_3275_not_completed")
	policy_mg.current_propositions.add("null_3275_not_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/anotherCamRoll/text()='true')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/anotherCamRoll/text()='true')")
	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_completed")
	inputs = ['anotherRoll', 'cameraInfo', 'director', 'generalInfo', 'cameraOperator', 'cameraAssistant', 'camRolls', 'producer', 'directorOfPhotography', 'stockInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['anotherCamRoll', 'cameraInfo', 'stockInfoToday', 'shortEndMin', 'camRollsToday', 'cameraSheetNo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.current_propositions.add("Start_Another_Shoot_Day_3268_not_completed")
	policy_mg.propositions.add("null_3275_completed")
	policy_mg.current_propositions.add("null_3275_completed")
	policy_mg.propositions.add("boolean(/Film_Production_Process/anotherCamRoll/text()='true')")
	policy_mg.current_propositions.add("boolean(/Film_Production_Process/anotherCamRoll/text()='true')")
	inputs = ['anotherRoll', 'cameraInfo', 'director', 'generalInfo', 'cameraOperator', 'cameraAssistant', 'camRolls', 'producer', 'directorOfPhotography', 'stockInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['anotherCamRoll', 'cameraInfo', 'stockInfoToday', 'shortEndMin', 'camRollsToday', 'cameraSheetNo']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['finalADSubmission', 'timeSheetInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Fill_Out_AD_Report_41_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['soundRollsToday', 'anotherSoundRoll', 'soundInfo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Fill_Out_Sound_Sheets_39_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['anotherCamRoll', 'cameraInfo', 'stockInfoToday', 'shortEndMin', 'camRollsToday', 'cameraSheetNo']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Fill_Out_Camera_Sheets_40_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['revisedTiming', 'continuityDailyReport']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Fill_Out_Continuity_Daily_Report_3283_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Fill_Out_Continuity_Daily_Report_3283_completed")
	policy_mg.current_propositions.add("Fill_Out_Continuity_Daily_Report_3283_completed")
	policy_mg.propositions.add("Fill_Out_Sound_Sheets_39_completed")
	policy_mg.current_propositions.add("Fill_Out_Sound_Sheets_39_completed")
	policy_mg.propositions.add("Fill_Out_AD_Report_41_completed")
	policy_mg.current_propositions.add("Fill_Out_AD_Report_41_completed")
	policy_mg.propositions.add("Fill_Out_Camera_Sheets_40_completed")
	policy_mg.current_propositions.add("Fill_Out_Camera_Sheets_40_completed")
	inputs = ['director', 'generalInfo', 'DPRinfo', 'producer', 'directorOfPhotography', 'productionManager']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['scheduledRatio', 'soundRollsPrevious', 'stockInfoPrevious', 'prevShot', 'camRollsToday']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['continuityInfo', 'finalContinuitySubmission']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Fill_Out_Continuity_Report_36_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Fill_Out_Continuity_Report_36_completed")
	policy_mg.current_propositions.add("Fill_Out_Continuity_Report_36_completed")
	inputs = ['generalInfo', 'continuityDailyReport']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['revisedTiming', 'continuityDailyReport']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['scheduledRatio', 'soundRollsPrevious', 'stockInfoPrevious', 'prevShot', 'camRollsToday']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Create_DPR_10_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Create_DPR_10_completed")
	policy_mg.current_propositions.add("Create_DPR_10_completed")
	inputs = ['placeholder_10']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_11']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['callSheetNextday']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Create_Call_Sheet_7902_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['callSheetNextday']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Create_Call_Sheet_7902_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	inputs = ['productionOffice', 'generalInfoNextday', 'sunset', 'callSheetNotes', 'weather', 'finalCallSheetSubmission', 'callSheetNextday', 'sunrise']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['Update_Call_Sheet_4740_not_completed']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Update_Call_Sheet_4740_not_completed")
	policy_mg.current_propositions.add("Update_Call_Sheet_4740_not_completed")
	policy_mg.propositions.add("Create_Call_Sheet_7902_completed")
	policy_mg.current_propositions.add("Create_Call_Sheet_7902_completed")
	inputs = ['placeholder_12']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_13']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Update_Call_Sheet_4740_completed")
	policy_mg.current_propositions.add("Update_Call_Sheet_4740_completed")
	policy_mg.propositions.add("Create_Call_Sheet_7902_not_completed")
	policy_mg.current_propositions.add("Create_Call_Sheet_7902_not_completed")
	inputs = ['placeholder_12']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_13']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Fill_Out_Camera_Sheets_40_completed")
	policy_mg.current_propositions.add("Fill_Out_Camera_Sheets_40_completed")
	inputs = ['placeholder_14']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_15']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Fill_Out_Sound_Sheets_39_completed")
	policy_mg.current_propositions.add("Fill_Out_Sound_Sheets_39_completed")
	inputs = ['placeholder_16']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_17']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Fill_Out_AD_Report_41_completed")
	policy_mg.current_propositions.add("Fill_Out_AD_Report_41_completed")
	inputs = ['placeholder_18']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_19']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	policy_mg.propositions.add("Fill_Out_Continuity_Report_36_completed")
	policy_mg.current_propositions.add("Fill_Out_Continuity_Report_36_completed")
	inputs = ['placeholder_20']
	for input in inputs:
		if input not in policy_mg.variables:
			policy_mg.variables.add(input)
	policy_mg.current_invertex = set(inputs)
	outputs = ['placeholder_21']
	for output in outputs:
		if "_completed" in output:
			policy_mg.propositions.add(output)
		else:
			policy_mg.variables.add(output)
	policy_mg.current_outvertex = set(outputs)
	policy_mg.edges.append(Edge(policy_mg.current_invertex, policy_mg.current_outvertex, attributes=policy_mg.current_propositions))
	policy_mg.current_invertex = set()
	policy_mg.current_outvertex = set()
	policy_mg.current_propositions = set()

	return policy_mg
